SharedLibraryBinarySpec (Gradle API 2.14.1)

Package: org.gradle.nativeplatform

## [Java] Interface SharedLibraryBinarySpec

- org.gradle.nativeplatform.SharedLibraryBinarySpec

- All Superinterfaces:
    BinarySpec, ModelElement, NativeBinarySpec, ComponentSpec, LibraryBinarySpec, Named, Buildable, NativeLibraryBinarySpec, BuildableComponentSpec

  A shared library binary built by Gradle for a native library.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `SharedLibraryBinarySpec.TasksCollection` | Provides access to key tasks used for building the binary.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getSharedLibraryFile()` The shared library file.
    `File` | `getSharedLibraryLinkFile()` The shared library link file.
    `SharedLibraryBinarySpec.TasksCollection` | `getTasks()` {@inheritDoc}
    `void` | `setSharedLibraryFile(File sharedLibraryFile)` The shared library file.
    `void` | `setSharedLibraryLinkFile(File sharedLibraryLinkFile)` The shared library link file.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativeLibraryBinarySpec` | `getComponent, getLibrary`
    `interface LibraryBinarySpec` | `getLibrary`
    `interface NativeBinarySpec` | `getAssembler, getBuildType, getComponent, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, getcCompiler, lib`

- - ### Method Detail

    - #### public File getSharedLibraryFile()

      The shared library file.

    - #### public File getSharedLibraryLinkFile()

      The shared library link file.

    - #### @Override public SharedLibraryBinarySpec.TasksCollection getTasks()

      {@inheritDoc}

    - #### public void setSharedLibraryFile(File sharedLibraryFile)

      The shared library file.

    - #### public void setSharedLibraryLinkFile(File sharedLibraryLinkFile)

      The shared library link file.